> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transfer Status

> Use these details to get details of a particular transfer. You can pass referenceId or transferId to fetch the details.

<Warning> This API will be retired soon. Please plan to migrate to the latest version, [Transfers V2](/api-reference/payouts/v2/transfers-v2/get-transfer-status-v2). </Warning>

Please use this Authorization token in headers to call any payout API (Refresh this page if the token is expired)

<iframe src="https://www.cashfree.com/devstudio/preview/payouts/embed/bearerToken" width="600" />

<Accordion title="Click to view the response codes.">
  | Sub code | Status  | Message                                                   | Solution                               |
  | :------- | :------ | :-------------------------------------------------------- | :------------------------------------- |
  | 200      | SUCCESS | Details of transfer with referenceId (or transferId) XXXX | -                                      |
  | 403      | ERROR   | Token is not valid                                        | Verify the generated token.            |
  | 403      | ERROR   | IP not whitelisted                                        | Whitelist the IP address.              |
  | 404      | ERROR   | TransferId is invalid or does not exist                   | Enter a valid transfer ID.             |
  | 404      | ERROR   | ReferenceId is invalid or does not exist                  | Enter a valid reference ID.            |
  | 412      | ERROR   | Token missing in the request                              | Enter a valid token in the request.    |
  | 422      | ERROR   | Please provide referenceId or transferId to fetch details | Enter a valid reference or transferId. |
  | /520     | ERROR   | Unknown error occurred                                    | Try again after some time.             |
</Accordion>

<Accordion title="Click to view failure reasons.">
  | Reason (in API response)      | Category | Description                                   | Solution                          |
  | :---------------------------- | :------- | :-------------------------------------------- | :-------------------------------- |
  | BANK\_GATEWAY\_ERROR          | Bank     | Technical error at the bank                   |                                   |
  | SOURCE\_BANK\_DECLINED        | Bank     | TPS exceeded at the bank/NPCI                 |                                   |
  | FAILED                        | Bank     | No explicit failure reason from the bank      |                                   |
  | INVALID\_AMOUNT\_FAIL         | Merchant | Amount is invalid for the given transfer mode | Enter a valid transfer amount.    |
  | INVALID\_AMOUNT\_FAIL         | Customer | Bank account is invalid                       | Enter valid bank account details. |
  | INVALID\_REQUEST              | Merchant | Request is invalid                            |                                   |
  | RETURNED\_FROM\_BENEFICIARY   | Bank     | Immediate reversal from the beneficiary bank  |                                   |
  | INSUFFICIENT\_BALANCE         | Merchant | Balance is exhausted, need to add funds       |                                   |
  | IMPS\_MODE\_FAIL              | Bank     | IMPS mode not supported for the beneficiary   |                                   |
  | RTGS\_MODE\_FAIL              | Bank     | RTGS mode not supported (only for RTGS)       |                                   |
  | REINITIALIZE\_TRANSFER\_LATER | Bank     | Technical error at the bank, retry later      |                                   |
  | NRE\_ACCOUNT\_FAIL            | Customer | Customer bank account is an NRE account       |                                   |
  | ACCOUNT\_BLOCKED              | Customer | Customer bank account is blocked              |                                   |
  | DEST\_LIMIT\_REACHED          | Bank     | Transfer limit to beneficiary exceeded        |                                   |
  | INVALID\_MODE\_FAIL           | Bank     | Transfer mode not valid for beneficiary       | Enter a different transfer mode.  |
  | NPCI\_UNAVAILABLE             | Bank     | NPCI in unavailable                           |                                   |
  | BENEFICIARY\_BANK\_OFFLINE    | Bank     | Beneficiary bank is offline                   |                                   |
</Accordion>

<Accordion title="Click to view the reversed reasons.">
  | Reason (in API response)             | Category | Description                                     | Solution                          |
  | :----------------------------------- | :------- | :---------------------------------------------- | :-------------------------------- |
  | ACCOUNT\_FROZEN\_OR\_CLOSED          | Customer | Account is closed or frozen                     |                                   |
  | CREDIT\_LIMIT\_EXCEEDED              | Customer | Transfer limit to beneficiary exceeded          |                                   |
  | ACCOUNT\_CLOSED\_OR\_FROZEN          | Customer | Transfer limit to beneficiary exceeded          |                                   |
  | ACCOUNT\_ON\_HOLD                    | Customer | Account is temporarily on hold                  |                                   |
  | ACCOUNT\_FROZEN                      | Customer | Account is frozen                               |                                   |
  | IFSC\_DOES\_NOT\_MATCH               | Customer | IFSC does not match                             | Enter a valid IFSC.               |
  | FRAUD\_REVERSED                      | Customer | Suspect fraudulent transfer                     |                                   |
  | ANY OTHER REASON                     | Bank     | Reason not specified by bank                    |                                   |
  | INVALID\_OR\_NO\_SUCH\_ACCOUNT\_TYPE | Customer | Invalid account                                 |                                   |
  | ACCOUNT\_CLOSED                      | Customer | Account is closed                               |                                   |
  | ACCOUNT\_FROZEN\_OR\_BLOCKED         | Customer | Account is frozen or blocked                    |                                   |
  | BENEFICIARY\_NAME\_DIFFERS           | Customer | Beneficiary name does not match (only for NEFT) |                                   |
  | BENEFICIARY\_BANK\_NODE\_OFFLINE     | Bank     | Beneficiary bank offline                        |                                   |
  | ACCOUNT\_DOES\_NOT\_EXIST            | Customer | Account does not exist                          | Enter valid bank account details. |
</Accordion>


## OpenAPI

````yaml get /payout/v1.1/getTransferStatus
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1.1/getTransferStatus:
    get:
      summary: Get Transfer Status
      description: >-
        Use these details to get details of a particular transfer. You can pass
        referenceId or transferId to fetch the details.
      operationId: get-transfer-status1
      parameters:
        - name: referenceId
          in: query
          description: >-
            Reference ID of the transaction. (Either referenceId or transferId
            is mandatory)
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: transferId
          in: query
          description: Transfer ID of the transaction.
          required: false
          style: form
          explode: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_19'
              examples:
                Case1:
                  summary: Transfer is successful
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 200223467
                    data:
                      transfer:
                        transferId: sample01139
                        bankAccount: '000810139000385'
                        ifsc: YESB0MAN001
                        beneId: test_bene
                        amount: '1.2'
                        status: SUCCESS
                        utr: N351200478962883
                        addedOn: '2020-12-16T09:17:41.000Z'
                        processedOn: '2020-12-16T09:17:42.000Z'
                        transferMode: BANK
                        acknowledged: 1
                Case2:
                  summary: Transfer is not successful
                  value:
                    status: SUCCESS
                    subCode: '200'
                    message: Details of transfer with referenceId 195460327
                    data:
                      transfer:
                        transferId: 1025fca380442d98
                        bankAccount: 20274048860
                        ifsc: SBIN0002207
                        beneId: TEST1234
                        amount: '1.1'
                        status: FAILED
                        addedOn: '2020-12-04T18:52:12.000Z'
                        processedOn: '2020-12-04T19:07:13.000Z'
                        reason: BENEFICIARY_BANK_OFFLINE
                        transferMode: BANK
                        acknowledged: 0
        '403':
          description: '403'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_403'
        '404':
          description: '404'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_404_3'
      deprecated: false
      security: []
components:
  schemas:
    inline_response_200_19:
      type: object
      properties:
        status:
          type: string
          example: SUCCESS
        subCode:
          type: string
          example: '200'
        message:
          type: string
          example: Details of transfer with referenceId 200223467
        data:
          $ref: '#/components/schemas/inline_response_200_19_data'
    inline_response_403:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '403'
        message:
          type: string
          example: >-
            APIs not enabled. Please fill out the [Support
            Form](https://merchant.cashfree.com/merchants/landing?env=prod&raise_issue=1)
    inline_response_404_3:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '404'
        message:
          type: string
          example: referenceId is invalid or does not exist
    inline_response_200_19_data:
      type: object
      properties:
        transfer:
          $ref: '#/components/schemas/inline_response_200_19_data_transfer'
    inline_response_200_19_data_transfer:
      type: object
      properties:
        transferId:
          type: string
          example: sample01139
        bankAccount:
          type: string
          example: '000810139000385'
        ifsc:
          type: string
          example: YESB0MAN001
        beneId:
          type: string
          example: test_bene
        amount:
          type: string
          example: '1.2'
        status:
          type: string
          example: SUCCESS
        utr:
          type: string
          example: N351200478962883
        addedOn:
          type: string
          example: '2020-12-16T09:17:41.000Z'
        processedOn:
          type: string
          example: '2020-12-16T09:17:42.000Z'
        transferMode:
          type: string
          example: BANK
        acknowledged:
          type: integer
          example: 1
        reason:
          type: string
          example: BENEFICIARY_BANK_OFFLINE

````